Loading...
Searching...
No Matches
Magick::DrawableStrokeDashOffset Class Reference
Inheritance diagram for Magick::DrawableStrokeDashOffset:

## Public Member Functions

| DrawableStrokeDashOffset (const double offset_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | offset (const double offset_)
double | offset (void) const

## Private Attributes

double | _offset

## Detailed Description

Definition at line 1749 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeDashOffset()

Magick::DrawableStrokeDashOffset::DrawableStrokeDashOffset | ( | const double | offset_ | ) |

inline

Definition at line 1752 of file Drawable.h.

: _offset(offset_)
{ }

## ~DrawableStrokeDashOffset()

Magick::DrawableStrokeDashOffset::~DrawableStrokeDashOffset | ( | void |  | ) |

Definition at line 1259 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeDashOffset::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1269 of file Drawable.cpp.

{
return(new DrawableStrokeDashOffset(*this));
}

## offset() [1/2]

void Magick::DrawableStrokeDashOffset::offset | ( | const double | offset_ | ) |

Definition at line 1274 of file Drawable.cpp.

{
_offset=offset_;
}

## offset() [2/2]

double Magick::DrawableStrokeDashOffset::offset | ( | void |  | ) | const

Definition at line 1279 of file Drawable.cpp.

{
return(_offset);
}

## operator()()

void Magick::DrawableStrokeDashOffset::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1263 of file Drawable.cpp.

{
DrawSetStrokeDashOffset(context_,_offset);
}

## Field Documentation

## _offset

double Magick::DrawableStrokeDashOffset::_offset

private

Definition at line 1768 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp